<?php
/**
 * Clase DP para CrCreditoCronoDP
 *
 * @package    
 * @subpackage CrCreditoCronoDP
 * @author     Willy
 * @version    SVN:: CrCreditoCronoDP.class.php,v 1.1 2013-01-04 11:12:09 william.taype Exp $
 */
class CrCreditoCronoDP extends BaseCrCreditoCronoDP
{
    public function deleteLogic()
    {
        try
        {
            if($this->getIdcreditocrono())
            {
                $a_Fields = array();
    
                $con = Conexion::getConexion();
                $sql = "UPDATE cr_credito_crono SET Usuarioeliminado = '".$this->getUsuarioeliminado()."',Fechaeliminado = '".$this->getFechaeliminado()."', eliminado='1' WHERE 1 AND idcreditocrono='".$this->getIdcreditocrono()."';";
                $oLink = method_exists($con, 'getResource')?$con->getResource():$con;
                $result = mysql_query($sql, $oLink);
                if($result)
                {
                    $this->nRowsAffected = (int) mysql_affected_rows($oLink);
                }
                else
                {
                    throw new Exception( mysql_error() );
                }
            }
            else
            {
                throw new Exception( 'El id no esta registrado.');
            }
        }
        catch ( Exception $o_Error )
        {
            throw new Exception($o_Error->getMessage().' en '.$o_Error->getFile().' linea '.$o_Error->getLine());
        }
        return true;
    }
}